%define module  Tie-IxHash
%define	pdir	Tie

Summary: 	%{module} module for perl
Name: 		perl-%{module}
Version: 	1.21
Release: 	%mkrel 10
License: 	GPL or Artistic
Group: 		Development/Perl
URL:            http://search.cpan.org/search?dist=%{module}
Source0: 	ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{pdir}/%{module}-%{version}.tar.bz2
Requires: 	perl
BuildRequires:	perl-devel
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description
%{module} module for perl.  This Perl module implements ordered
in-memory associative arrays.

%prep

%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Tie/IxHash.pm
%{_mandir}/*/*




%changelog
* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.21-10mdv2009.0
+ Revision: 224401
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.21-9mdv2008.1
+ Revision: 180618
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Oct 11 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-10 09:36:19 (63278)
- bzip sources
- use the check macro

* Sat Oct 07 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-06 07:10:44 (62906)
- Import perl-Tie-IxHash

* Fri Sep 24 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.21-7mdk
- rebuild

